Bug 42574 - [Chromium] add webkit api reset to WebIDBDatabaseError and WebIDBKey
Summary: [Chromium] add webkit api reset to WebIDBDatabaseError and WebIDBKey
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows XP
: P2 Normal
Assignee: Victor Wang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-19 09:32 PDT by Victor Wang
Modified: 2010-07-26 07:23 PDT (History)
2 users (show)

See Also:


Attachments
Proposed Patch (3.76 KB, patch)
2010-07-19 09:36 PDT, Victor Wang
fishd: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Wang 2010-07-19 09:32:58 PDT
Add webkit api reset to WebIDBDatabaseError and WebIDBKey and refactor their destructors for chromium multi dll build.
Comment 1 Victor Wang 2010-07-19 09:36:10 PDT
Created attachment 61964 [details]
Proposed Patch
Comment 2 Victor Wang 2010-07-20 10:43:43 PDT
Committed r63755: <http://trac.webkit.org/changeset/63755>
Comment 3 Jeremy Orlow 2010-07-26 07:23:21 PDT
LGTM